%YAML 1.1
---
gfVersion: v1.0
class: app

name: bwa-index-0.7.17-gf
description: BWA Index
repo_uri: https://gitlab.com/geneflow/apps/bwa-index-0.7.17-gf.git
version: '0.1'
inputs:
  reference:
    label: Reference Sequence FASTA
    description: Reference sequence FASTA file to index with BWA
    type: File
parameters:
  output:
    label: Output Directory
    description: Output directory for reference index
    type: Directory
definition:
{% if agave %}
  agave:
    agave_app_id: {{ agave.appsPrefix }}-bwa-index-0.7.17-gf-0.1{{ revision }}
{% endif %}
  local:
    script: bwa-index-0.7.17-gf.sh
...